package com.yeejoin.amos.supervision.core.common.response;

import java.util.Date;
import java.util.List;

public class PointInfoResponse {
	
	private int pointId;
	
	private String pointName;
	
	/**
	 * 未完成任务id 
	 */
	private Long taskId;
	
	/**
	 * 坐标
	 */
	private String coordinates;
	/**
	 * Ѳ��㼶��
	 */
	private String pointLevel;
	
	private String status;
	
	private Date time;
	
	/**
	 * 3维模型位置
	 */
	private PointPositionInfoSyn3DRespone config;
	
	private String Address;
	
	private List<PatrolUserRespone> users;
	
	private List <AbnormalContent> abnormalContent;
	
	/**
	 * 巡检线路名称
	 */
	private String routeNames;
	
	
	

	public String getRouteNames() {
		return routeNames;
	}

	public void setRouteNames(String routeNames) {
		this.routeNames = routeNames;
	}

	public int getPointId() {
		return pointId;
	}

	public void setPointId(int pointId) {
		this.pointId = pointId;
	}

	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public List<AbnormalContent> getAbnormalContent() {
		return abnormalContent;
	}

	public void setAbnormalContent(List<AbnormalContent> abnormalContent) {
		this.abnormalContent = abnormalContent;
	}

	
	public List<PatrolUserRespone> getUsers() {
		return users;
	}

	public void setUsers(List<PatrolUserRespone> users) {
		this.users = users;
	}


	public String getAddress() {
		return Address;
	}

	public void setAddress(String address) {
		Address = address;
	}


	public String getPointLevel() {
		return pointLevel;
	}

	public void setPointLevel(String pointLevel) {
		this.pointLevel = pointLevel;
	}


	public String getCoordinates() {
		return coordinates;
	}

	public void setCoordinates(String coordinates) {
		this.coordinates = coordinates;
	}


	public Long getTaskId() {
		return taskId;
	}

	public void setTaskId(Long taskId) {
		this.taskId = taskId;
	}

	public PointPositionInfoSyn3DRespone getConfig() {
		return config;
	}

	public void setConfig(PointPositionInfoSyn3DRespone config) {
		this.config = config;
	}


	class AbnormalContent{
		
		private int id;
		
		private int checkItemId;
		
		private String checkItemValue;

		public int getId() {
			return id;
		}

		public void setId(int id) {
			this.id = id;
		}

		public int getCheckItemId() {
			return checkItemId;
		}

		public void setCheckItemId(int checkItemId) {
			this.checkItemId = checkItemId;
		}

		public String getCheckItemValue() {
			return checkItemValue;
		}

		public void setCheckItemValue(String checkItemValue) {
			this.checkItemValue = checkItemValue;
		}
	}
	

}
